<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://catchplugins.com/plugins/ajax-autosearch
 * @since      1.0.0
 *
 * @package    Ajax_AutoSearch
 * @subpackage Ajax_AutoSearch/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Ajax_AutoSearch
 * @subpackage Ajax_AutoSearch/includes
 * @author     Catch Plugins <info@catchplugins.com>
 */
class Ajax_AutoSearch_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'ajax-autosearch',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}
}